Subject: Re: bug#74218: [PATCH] Ask confirmation before sending region to search engine.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Nov 2024 13:05:43 +0200

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Thu, 07 Nov 2024 12:03:20 +0100
> 
> >>>>> On Thu, 07 Nov 2024 12:49:47 +0200, Eli Zaretskii <[email-masked]> said:
> 
>     >> From: Robert Pluim <[email-masked]>
>     >> Cc: Eshel Yaron <[email-masked]>,  [email-masked],
>     >> [email-masked],  [email-masked]
>     >> Date: Thu, 07 Nov 2024 10:02:00 +0100
>     >> 
>     >> >>>>> On Thu, 07 Nov 2024 10:53:23 +0200, Eli Zaretskii <[email-masked]> said:
>     >> 
>     Eli> Also, does anyone have an opinion about asking for confirmation only
>     Eli> for regions that are large enough?  E.g., when the region is a single
>     Eli> word, do we want to ask for confirmation anyway?
>     >> 
>     >> The default for sending stuff to remote servers should be not to do it
>     >> unless explicitly authorized, even if the amount of data is small: the
>     >> submission itself provides data about your machine, IP, location etc.
> 
>     Eli> We are talking about a command which is document as follows:
> 
>     Eli>   (eww-search-words)
> 
>     Eli>   Search the web for the text in the region.
>     Eli>   If region is active (and not whitespace), search the web for
>     Eli>   the text between region beginning and end.  Else, prompt the
>     Eli>   user for a search string.  See the variable ‘eww-search-prefix’
>     Eli>   for the search engine used.
> 
>     Eli> It should be clear from this that a Web search engine is used, and
>     Eli> that the word or the region are sent to it.  Since the user invokes
>     Eli> this command, how is it reasonable not to do what the user requested?
>     Eli> If the user doesn't want to reveal details to the Internet, the user
>     Eli> can avoid invoking the command in the first place.
> 
>     Eli> I feel that I'm missing something here.
> 
> And so am I. Why are we discussing adding a confirmation to an
> explicit request from the user? Or is the intent to leave it as 'off',
> but allow customizing it to 'ask'?

My take on it is that the user might not realize that the region is
very large and includes parts she didn't intend to send.  IOW, a
cockpit error.